API-Endpunkt
https://www.spyseo.de/public/api/v1/reports
Beispielanfrage
curl --location --request GET 'https://www.spyseo.de/public/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
url für URL. Standardwert: url.
website_id
result
good für Sehr Gut, decent für Gut, bad für Schlecht.
sort_by
id für Erstellungsdatum, url für URL, score für Punktzahl. Standardwert: id.
sort
desc für Absteigend, asc für Aufsteigend. Standardwert: desc.
per_page
10, 25, 50, 100. Standardwert: 10.
API-Endpunkt
https://www.spyseo.de/public/api/v1/reports/{id}
Beispielanfrage
curl --location --request GET 'https://www.spyseo.de/public/api/v1/reports/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API-Endpunkt
https://www.spyseo.de/public/api/v1/reports
Beispielanfrage
curl --location --request POST 'https://www.spyseo.de/public/api/v1/reports' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}'
Parameters
url
API-Endpunkt
https://www.spyseo.de/public/api/v1/reports/{id}
Beispielanfrage
curl --location --request DELETE 'https://www.spyseo.de/public/api/v1/reports/{id}' \ --header 'Authorization: Bearer {api_key}'